Package Details: python2-rebulk 2.0.1-4

Git Clone URL: https://aur.archlinux.org/python-rebulk.git (read-only, click to copy)
Package Base: python-rebulk
Description: Define simple search patterns in bulk to perform advanced matching on any string.
Upstream URL: https://github.com/Toilal/rebulk
Licenses: MIT
Submitter: sleduc
Maintainer: fryfrog
Last Packager: fryfrog
Votes: 28
Popularity: 0.53
First Submitted: 2016-01-24 10:18
Last Updated: 2020-05-09 14:55

Latest Comments

1 2 3 Next › Last »

tyrannis.hawk commented on 2020-06-26 09:59

When building, I get:

WARNING: The pip package is not available, falling back to EasyInstall for handling setup_requires/test_requires; this is deprecated and will be removed in a future version.

However, the rebulk package is available on pip: https://pypi.org/project/rebulk/

fryfrog commented on 2020-05-09 14:56

Done. The requirements.txt file links to a blog post that 404s, so who knows what is required and what isn't. :/

dkasak commented on 2020-05-09 10:54

This patch works for me:

diff --git a/.SRCINFO b/.SRCINFO
index 582fb15..4273d45 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
 pkgbase = python-rebulk
    pkgdesc = Define simple search patterns in bulk to perform advanced matching on any string.
    pkgver = 2.0.1
-   pkgrel = 3
+   pkgrel = 4
    url = https://github.com/Toilal/rebulk
    arch = any
    license = MIT
@@ -14,11 +14,11 @@ pkgbase = python-rebulk
 pkgname = python-rebulk
    depends = python
    depends = python-six
-   depends = python-regex
+   optdepends = python-regex

 pkgname = python2-rebulk
    depends = python2
    depends = python2-six
-   depends = python2-regex
    depends = python2-ordereddict
+   optdepends = python2-regex

diff --git a/PKGBUILD b/PKGBUILD
index 0c2e439..b9ee7f1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
 pkgname=('python-rebulk' 'python2-rebulk')
 _name=${pkgname#python-}
 pkgver=2.0.1
-pkgrel=3
+pkgrel=4
 pkgdesc="Define simple search patterns in bulk to perform advanced matching on any string. "
 arch=("any")
 url="https://github.com/Toilal/rebulk"
@@ -30,8 +30,8 @@ check() {

 package_python-rebulk() {
   depends=('python'
-           'python-six'
-           'python-regex')
+           'python-six')
+  optdepends=('python-regex')
   cd "${srcdir}/rebulk-${pkgver}"
   python setup.py install --root="${pkgdir}/" --optimize=1
 }
@@ -39,8 +39,8 @@ package_python-rebulk() {
 package_python2-rebulk() {
   depends=('python2'
            'python2-six'
-           'python2-regex'
            'python2-ordereddict')
+  optdepends=('python2-regex')
   cd "${srcdir}/rebulk-${pkgver}-py2"
   python2 setup.py install --root="${pkgdir}/" --optimize=1
 }

dkasak commented on 2020-05-09 10:49

Since this breaking change was made in python-regex, many packages using python-rebulk are broken.

Since the rebulk Python package does not depend on regex (it's an optional dependency), could we make python-regex an optional dependency here as well?

arpspoof commented on 2020-05-04 16:09

@fryfrog

Thanks. I'll look into it.

fryfrog commented on 2020-05-04 16:07

@arpspoof: It isn't obvious to me what is causing your build to fail. I'm able to build it locally, both w/ my system and in a clean chroot. I would dig into the ImportError: cannot import name ensure_str part of the error and see where that is supposed to come from.

arpspoof commented on 2020-05-04 10:11

Hi. Still having problems installing this package:

==> Starting package_python2-rebulk()...
Traceback (most recent call last):
  File "/usr/lib/python2.7/runpy.py", line 174, in _run_module_as_main
    "main", fname, loader, pkg_name)
  File "/usr/lib/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/site-packages/pip/main.py", line 19, in <module>
    sys.exit(_main())
  File "/usr/lib/python2.7/site-packages/pip/_internal/cli/main.py", line 73, in main
    command = create_command(cmd_name, isolated=("--isolated" in cmd_args))
  File "/usr/lib/python2.7/site-packages/pip/_internal/commands/init.py", line 96, in create_command
    module = importlib.import_module(module_path)
  File "/usr/lib/python2.7/importlib/init.py", line 37, in import_module
    import(name)
  File "/usr/lib/python2.7/site-packages/pip/_internal/commands/wheel.py", line 14, in <module>
    from pip._internal.cli.req_command import RequirementCommand
  File "/usr/lib/python2.7/site-packages/pip/_internal/cli/req_command.py", line 20, in <module>
    from pip._internal.operations.prepare import RequirementPreparer
  File "/usr/lib/python2.7/site-packages/pip/_internal/operations/prepare.py", line 16, in <module>
    from pip._internal.distributions import (
  File "/usr/lib/python2.7/site-packages/pip/_internal/distributions/init.py", line 2, in <module>
    from pip._internal.distributions.wheel import WheelDistribution
  File "/usr/lib/python2.7/site-packages/pip/_internal/distributions/wheel.py", line 5, in <module>
    from pip._internal.utils.wheel import pkg_resources_distribution_for_wheel
  File "/usr/lib/python2.7/site-packages/pip/_internal/utils/wheel.py", line 12, in <module>
    from pip._vendor.six import PY2, ensure_str
ImportError: cannot import name ensure_str
Traceback (most recent call last):
  File "setup.py", line 62, in <module>
    setup(**args)
  File "/usr/lib/python2.7/site-packages/setuptools/init.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python2.7/site-packages/setuptools/init.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 721, in fetch_build_eggs
    replace_conflicting=True,
  File "/usr/lib/python2.7/site-packages/pkg_resources/init.py", line 782, in resolve
    replace_conflicting=replace_conflicting
  File "/usr/lib/python2.7/site-packages/pkg_resources/init.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources/init.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 777, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python2.7/site-packages/setuptools/installer.py", line 130, in fetch_build_egg
    raise DistutilsError(str(e))
distutils.errors.DistutilsError: Command '['/usr/bin/python2', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpZqI6mF', '--quiet', 'pytest-runner']' returned non-zero exit status 1
==> ERROR: A failure occurred in package_python2-rebulk().
    Aborting...
:: failed to build python-rebulk package(s)

fryfrog commented on 2020-05-02 01:51

Oops! This release was to fix what the patch was patching! Nuked it.

sommerfeld commented on 2020-05-02 01:33

the patch probably needs an update:

==> Starting prepare()...
patching file /tmp/makepkg/python-rebulk/src/rebulk-2.0.1/rebulk/loose.py
Hunk #1 FAILED at 56.
1 out of 1 hunk FAILED -- saving rejects to file /tmp/makepkg/python-rebulk/src/rebulk-2.0.1/rebulk/loose.py.rej
==> ERROR: A failure occurred in prepare().
    Aborting...

rucci commented on 2020-04-10 20:11

Hi, I have trouble to install the package, I get this error:

ERROR: Could not find an activated virtualenv (required).
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 128, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.8/subprocess.py", line 364, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp728fknn3', '--quiet', 'pytest-runner']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 62, in <module>
    setup(**args)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 143, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 138, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 695, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 781, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1066, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1078, in obtain
    return installer(requirement)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 754, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.8/site-packages/setuptools/installer.py", line 130, in fetch_build_egg
    raise DistutilsError(str(e))
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp728fknn3', '--quiet', 'pytest-runner']' returned non-zero exit status 3.
==> ERROR: A failure occurred in check().
    Aborting...